| Face Engine SDK 5.32.0 A face detection, recognition and tracking engine.

Public Member Functions | List of all members
fsdk::INIRLivenessEstimator Struct Referenceabstract
Estimators

Infra red liveness estimator interface. More...

`#include <INIRLivenessEstimator.h>`

Inheritance diagram for fsdk::INIRLivenessEstimator:

## Public Member Functions
virtual Result< FSDKError > | estimate (const Image &warp, NIRLivenessEstimation &irEstimation) const noexcept=0
| Check whether or not infrared warp corresponds to the real person. More...
virtual Result< FSDKError > | estimate (Span< const Image > warps, Span< NIRLivenessEstimation > irEstimation) const noexcept=0
| Check whether or not array of infrared warps corresponds to the real person. More...
virtual Result< FSDKError > | validate (Span< const Image > warps, Span< Result< FSDKError >> errors) const noexcept=0
| Validate input of multiple frames in a single function call. More...
Public Member Functions inherited from fsdk::IRefCounted
virtual int32_t | retain () noexcept=0
| Increase strong reference count. More...
virtual int32_t | retainLocked () noexcept=0
| Increase strong reference count thread safely. More...
virtual int32_t | release () noexcept=0
| Decrease strong reference count. More...
virtual int32_t | getRefCount () const noexcept=0
| Get actual strong reference count. More...
virtual int32_t | retainWeak () noexcept=0
| Increase weak reference count. More...
virtual int32_t | releaseWeak () noexcept=0
| Decrease weak reference count. More...
virtual int32_t | getWeakRefCount () const noexcept=0
| Get actual weak reference count. More...

## Detailed Description

Infra red liveness estimator interface.

Note
  This estimator is designed for face analysis using infra red facial warp (8-bit 1 channel) image.

See also
  IWarper for details.

## Member Function Documentation

## ◆ estimate() [1/2]

virtual Result<FSDKError> fsdk::INIRLivenessEstimator::estimate | ( | const Image & | warp,
|  | NIRLivenessEstimation & | irEstimation
| ) |  | const
| pure virtual noexcept

Check whether or not infrared warp corresponds to the real person.

Parameters

  [in] | warp | infra red image with warped face.
  [out] | irEstimation. |

Returns
  Result with error code.

See also
  NIRLivenessEstimation, Image, Result and FSDKError for details.

Note
  warp format must be R8,

See also
  Format.

## ◆ estimate() [2/2]

virtual Result<FSDKError> fsdk::INIRLivenessEstimator::estimate | ( | Span< const Image > | warps,
|  | Span< NIRLivenessEstimation > | irEstimation
| ) |  | const
| pure virtual noexcept

Check whether or not array of infrared warps corresponds to the real person.

Parameters

  [in] | warps | span of infra red images with warped faces.
  [out] | irEstimation | array of ir-estimations

Returns
  Result with error code.

See also
  Span, NIRLivenessEstimation, Image, Result and FSDKError for details.

Note
  warps format must be R8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

## ◆ validate()

virtual Result<FSDKError> fsdk::INIRLivenessEstimator::validate | ( | Span< const Image > | warps,
|  | Span< Result< FSDKError >> | errors
| ) |  | const
| pure virtual noexcept

Validate input of multiple frames in a single function call.

Parameters

  [in] | warps | span of infra red images with warped faces.
  [out] | errors | output span of errors for each image.

Returns
  Result with error code.

See also
  Span, Image, Result and FSDKError for details.

Note
  warps format must be R8,

See also
  Format.

Note
  all spans should be based on user owned continuous collections.
  all spans should be equal size.

The documentation for this struct was generated from the following file:

- include/fsdk/Estimators/INIRLivenessEstimator.h